Subject: Re: bug#11447: 24.1.50; notifications-notify eats keystrokes

From: Stefan Monnier <[email-masked]>
Date: Sun, 13 May 2012 11:44:55 -0400

> You do it inside the loop, every next loop cycle unread-command-events
> could be non-nil, which confuses read-event.

Oh, indeed, I didn't write what I intended.  The intention was to do it
outside of the while loop, of course.

> Maybe you wanted to cumulate the read events in seen inside the loop,
> and you wanted to append all events from seen to unread-command-events
> outside the loop. That might work.

Yes, that was the intention.

> (Likely it isn't that important which version of the patch we use ...)

Indeed,

        Stefan